Show / Hide Table of Contents

# Delegate FieldAccessor<T, U>.Accessor

A delegate for a field accessor taking a `T` ref and returning a `U` ref.

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate U Accessor(ref T obj);

##### Parameters

Type | Name | Description
--- | --- | ---
T | obj | the object to access the field of

##### Returns

Type | Description
--- | ---
U | a reference to the field's value

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])